Contribs: remove XML dependency from Fontconfig.
[vlc.git] / extras / contrib / src / Patches / ffmpeg-svn-win32.patch
1 Index: configure
2 ===================================================================
3 --- configure.orig      2009-03-23 18:20:30.339627360 +0000
4 +++ configure   2009-03-23 18:25:12.457447960 +0000
5 @@ -1438,7 +1438,7 @@
6      die "C compiler test failed."
7  fi
8  
9 -check_cflags -std=c99
10 +#check_cflags -std=c99
11  check_cc -D_FILE_OFFSET_BITS=64 <<EOF && add_cflags -D_FILE_OFFSET_BITS=64
12  #include <stdlib.h>
13  EOF
14 @@ -1611,8 +1611,8 @@
15          objformat="win32"
16          enable dos_paths
17          if ! enabled x86_64; then
18 -            check_cpp_condition _mingw.h "(__MINGW32_MAJOR_VERSION > 3) || (__MINGW32_MAJOR_VERSION == 3 && __MINGW32_MINOR_VERSION >= 15)" ||
19 -                die "ERROR: MinGW runtime version must be >= 3.15."
20 +            check_cpp_condition _mingw.h "(__MINGW32_MAJOR_VERSION > 3) || (__MINGW32_MAJOR_VERSION == 3 && __MINGW32_MINOR_VERSION >= 13)" ||
21 +                die "ERROR: MinGW runtime version must be >= 3.13."
22              enabled_any avisynth vfwcap_demuxer &&
23                  { check_cpp_condition w32api.h "(__W32API_MAJOR_VERSION > 3) || (__W32API_MAJOR_VERSION == 3 && __W32API_MINOR_VERSION >= 13)" ||
24                    die "ERROR: avisynth and vfwcap_demuxer require w32api version 3.13 or later."; }